+ Post New Thread
Page 101 of 611 FirstFirst ... 51 91 99 100 101 102 103 111 151 201 601 ... LastLast
Threads 2501 to 2525 of 15263

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 61,708
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 62,094
    18th Sep 2006 10:46 pm Go to last post
  1. Lisp Command for Block Numbering

    I need help creating a lisp command to number devices that are at each point of a p-line for easy reference. Hope that make sense.

    Started by KrisDizzle‎, 9th Jun 2015 11:58 pm
    • Replies: 3
    • Views: 1,343
    10th Jun 2015 06:09 pm Go to last post
  2. Simple fix (LISP noob) Syntax problem

    Hi all, I'm a casual basic lisper. Where in the code is wrong. I'm getting the ss with ssget. I want some error trapping to tell the users that nothing is selected. LISP selects all text regardless...

    Started by 3dwannab‎, 3rd Jun 2015 10:16 am
    3 Pages
    1 2 3
    • Replies: 24
    • Views: 3,645
    10th Jun 2015 10:30 am Go to last post
  3. ssget filter for extended data

    Help me understand what's going on. Type 'point' and place a point in a blank drawing. Now type 'pline' and draw a polyline of any length on the screen. Now type (regapp "test program") Now...

    Started by Quest for Peace‎, 10th Jun 2015 05:09 am
    • Replies: 1
    • Views: 1,202
    10th Jun 2015 05:49 am Go to last post
  4. HELP: LISP to create multiple & resized viewport base on an existing viewport

    One of my routine work is to highlight only part view of a drawing that has changes, to our consultants. This involves creating individual viewports, of a specific view, out of that drawing...

    Started by vernonlee‎, 15th Oct 2014 06:58 am
    4 Pages
    1 2 3 ... 4
    • Replies: 31
    • Views: 6,901
    10th Jun 2015 01:17 am Go to last post
  5. Help with a Leemac routine:

    I came across this piece of code from LeeMac but when I run it and select a polyline nothing happens. Can anyone tell me why? ...

    Started by woodman78‎, 9th Jun 2015 05:25 pm
    • Replies: 2
    • Views: 734
    9th Jun 2015 10:09 pm Go to last post
  6. Nested 3d blocks

    Hello How to move with a lisp function nested blocks imbedded out of block ? Explode the block and merge again without blocks inside or maybe otherwise?

    Started by jan_ek‎, 9th Jun 2015 04:34 pm
    • Replies: 1
    • Views: 692
    9th Jun 2015 10:06 pm Go to last post
  7. Geek Sum of numbers in text strings

    I was recently using a lisp that added up text and created a text string with the sum. It stopped working and quoted the function "mktext" as the problem. It will still add the strings but it will...

    Started by mikman‎, 12th Aug 2008 07:30 pm
    5 Pages
    1 2 3 ... 5
    • Replies: 46
    • Views: 27,189
    9th Jun 2015 02:52 pm Go to last post
  8. How to make a list of unprint layers

    Hi, I wonder if I can make a list of "un-print layers", the (tblsearch "layer" "layername") doesn't show this status. Thank you !!

    Started by LauKwokFai‎, 9th Jun 2015 05:30 am
    • Replies: 3
    • Views: 724
    9th Jun 2015 08:17 am Go to last post
  9. convert polyline to complex blocks

    Hi, I need a bit complicated program, that would convert polyline to a circle block, find nearest text and add it as attribute to that block, recursively for all plines in layer. so far, I've found...

    Started by orange‎, 8th Jun 2015 10:50 am
    • Replies: 2
    • Views: 1,163
    9th Jun 2015 06:44 am Go to last post
  10. Question Exract Numbres from strings

    I programmme a lisp in autocad, I want to insert a point with coordinates {(X + 10), (X + 100)} in my drawing I have a text in the form: X: 50.00m what is the function that allows me to just get...

    Started by LASSAADTH‎, 2nd Jun 2015 09:18 am
    • Replies: 6
    • Views: 1,216
    9th Jun 2015 01:24 am Go to last post
  11. Crossing Line Selction & Break the Line Intersect(Selected Line Intersection Automati

    Hay friends I am John. Now I am doing the Project in Cad. So Iam expect Some Codes (Lsp). Any body helps me for this?(Plz see my 2 helps) 1)Here i am Selecting the Red Color(In Attached Dwg) Line...

    Started by giscad84‎, 23rd Oct 2010 03:56 pm
    2 Pages
    1 2
    • Replies: 16
    • Views: 9,573
    8th Jun 2015 09:00 pm Go to last post
  12. Lisp to insert block but I have a rotation problem

    Hi all, I have a lisp to insert blocks into a drawing. The first block is inserted correctly but the second one is given a rotation of 1. I know it is to do with the insert command but I can't...

    Started by woodman78‎, 8th Jun 2015 02:54 pm
    • Replies: 4
    • Views: 1,149
    8th Jun 2015 08:47 pm Go to last post
  13. Question Select the attribute that will be written at the moment of insert the block.

    Hi to all, Someone knows a LISP router that can write a selected text on a specific field attribute when you are inserting the block. Eg.: One Block with a field "Diameter", when I'll insert...

    Started by CafeJr‎, 22nd May 2015 01:26 pm
    2 Pages
    1 2
    attribute, block, selection
    • Replies: 10
    • Views: 2,514
    8th Jun 2015 06:24 pm Go to last post
  14. Question Length Path - Help.

    Hello to all!... I'm again needing a help, are there a LISP that's possible get a length path from a polyline disposed over other lines? As a exemple attached has a drawing showing what exactly is...

    Started by CafeJr‎, 3rd Jun 2015 01:07 pm
    • Replies: 5
    • Views: 1,456
    8th Jun 2015 01:21 pm Go to last post
  15. Find Nearest Text/Mtext from Specified point

    Hi all, How can we find nearest specified Text/Mtext object from specified point? For example: I want to find nearest TB2A from point A. Thank you. mardi

    Started by m4rdy‎, 11th Jan 2012 03:01 pm
    • Replies: 9
    • Views: 3,840
    8th Jun 2015 11:22 am Go to last post
  16. move view constantly down With constant number

    Good morning world, Could somebody help me with a lisp; That's the problem : I have to make a check of reinforcement , so I have to look at paper and in autocad , but I have to pan the view a lot of...

    Started by sergiu_ciuhnenco‎, 8th Jun 2015 07:09 am
    • Replies: 3
    • Views: 754
    8th Jun 2015 09:43 am Go to last post
  17. Entmake Table with AutoLISP

    I have searched on here and The Swamp for any information on the minimum amount of information needed to create a table using an existing table style that is already in the drawing file. It seems...

    Started by ksperopoulos‎, 8th Feb 2014 05:59 am
    2 Pages
    1 2
    • Replies: 14
    • Views: 7,527
    8th Jun 2015 05:55 am Go to last post
  18. insert block from .txt

    This program inserts a block for a text file. I need to modify it so that it inserts different blocks. This is a drawing of a human sundial. Simply paint it on the concrete, stand on the month and...

    Started by rookie37‎, 8th Jun 2015 01:00 am
    • Replies: 1
    • Views: 623
    8th Jun 2015 01:49 am Go to last post
  19. Lwpoliline division into segments in a variable.

    Hi, I have a question. How to divide into segments lwpoliline to use the function vlax-curve-getClosestPointTo. How to skip the process of inserting and removing entmake function object. Can create...

    Started by Kowal‎, 7th Jun 2015 04:41 pm
    • Replies: 1
    • Views: 594
    7th Jun 2015 10:41 pm Go to last post
  20. Lisp using pre-selected objects

    Hi, I made an lisp to copy objects in a drawing from WORLD coördinates en paste them in another drawing in a same way. Making temporary UCS settings in the progress. Saves a lot of time when...

    Started by OMEGA-ThundeR‎, 5th Jun 2015 02:16 pm
    • Replies: 4
    • Views: 1,331
    7th Jun 2015 10:27 pm Go to last post
  21. Create points with colour from text file

    I have a text file containing thousands of coordinates, each with its own r,g,b color information (laser scan data, if you're interested), and I would like to be able to load them into AutoCAD. ...

    Started by robertbon‎, 4th Jun 2015 09:45 pm
    • Replies: 3
    • Views: 1,377
    7th Jun 2015 09:03 pm Go to last post
  22. Pipe lable lisp

    I am looking for a lisp routine that will place text in a line either horizontal or vertical and break the line around the text. The one I had in Acad 2009 does not work in Acad 2015. Thanks

    Started by meecpc‎, 1st Jun 2015 02:06 pm
    • Replies: 7
    • Views: 1,720
    6th Jun 2015 11:18 pm Go to last post
  23. Layout paper area ?

    Hi .I want to ask if someone have a lisp to calculate the area of layout print paper. Thanks

    Started by prodromosm‎, 5th Jun 2015 05:07 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 2,498
    6th Jun 2015 08:32 pm Go to last post
  24. Auto Numbering?

    I have the need of a way to create a string of text in a number sequence. I am working with Termination Racks that have, on average, 42 points. The term racks are numbered vertically 1-42. The number...

    Started by AQucsaiJr‎, 15th Jun 2009 07:13 pm
    13 Pages
    1 2 3 ... 13
    • Replies: 126
    • Views: 36,068
    6th Jun 2015 01:58 pm Go to last post
  25. Texteval System veriable

    hi, the Autolisp user guided says that: the System veriable say: by executing

    Started by samifox‎, 5th Jun 2015 03:47 am
    • Replies: 5
    • Views: 1,803
    6th Jun 2015 07:38 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts